stages:
    - build
build:
    stage: build
    when: on_success
    only:
        - main
    image: docker:stable
    services:
        - docker:dind
    script:
        - docker login -u deploy-token-to-registry -p $CI_TOKEN registry.gitlab.com
        - docker build -t registry.gitlab.com/dhifa.aghisni/ci-cd .
        - docker push registry.gitlab.com/dhifa.aghisni/ci-cd

